Subject: [PATCH 2/8] ARM: OMAP2+: PM: introduce power domains functional states

From: [email-masked] (Rajendra Nayak)
Date: Fri, 13 Jul 2012 10:56:53 +0530

On Friday 13 July 2012 08:31 AM, Menon, Nishanth wrote:
> my Crib about the above apis are lack of logic power state handling:(
> which forces code like cpuidle to use different apis for logic
> power state and force them to use these apis just for pwrst.

Have you looked at an alternate approach that was proposed here..
https://patchwork.kernel.org/patch/1160431/